#include <iostream>
#include <cstdio>
#include <time.h>

using namespace std;

class date {
	int day, month , year;
public:
	date(time_t t);
	date(char *str);
	date(int m,int d, int y){
		day = d;
		month = m;
		year = y;
	}
	void show(){
		cout << month << '/' << day << '/';
		cout << year << "\n";
	}
};
date::date(char *str)
{
	sscanf(str, "%d%*c%d%*c%d", &month, &day, &year);
}
date::date(time_t t)
{
	struct tm *ptml;
	ptml = localtime(&t);
	day = ptml->tm_mday;
	month = ptml->tm_mon + 1;
	year = ptml->tm_year + 1900;
}
int main()
{
	date sdate("12/31/99");
	date idate(12,31,99);
	date ndate(time(NULL));
	
	sdate.show();
	idate.show();
	ndate.show();
	
	return 0;
}